summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorZeke Sonxx2016-09-29 23:16:56 -0400
committerZeke Sonxx2016-09-29 23:16:56 -0400
commita4b01452fe6b895a0fb87342a46313358d079cf5 (patch)
treea0feb5f8f2f7090f832d7c71ef7f19d304981868
parentddb896998ffc96906de80ee79e833f75dfcade3f (diff)
downloadaur-a4b01452fe6b895a0fb87342a46313358d079cf5.tar.gz
Update to 2.1.5
-rw-r--r--.SRCINFO18
-rw-r--r--PKGBUILD24
2 files changed, 23 insertions, 19 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 09851ee35f8..e34b283234f 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,24 +1,26 @@
pkgbase = netlogger
pkgdesc = Server-based amateur radio net logging programs
- pkgver = 3.0.3
- pkgrel = 2
+ pkgver = 3.1.5
+ pkgrel = 1
url = http://www.netlogger.org
arch = i686
arch = x86_64
license = custom:freeware
depends = qt5-base
+ depends = gnutls
+ depends = libpng12
source = netlogger.sh
source = netlogger.desktop
md5sums = 309082574abaa3f97851ef4ac7096297
md5sums = e5410b0ab8875791fffa0f7306d473ff
sha512sums = e9dbe309baf520dc434a6b958fd6ae55f0c47c19a3ad00de158cb90b2fffec0e92ce83558e7ffec9613f30579929069ae543f8ad9da1d3d9110177dc86e48c5c
sha512sums = 4cac720ec96ea2c6f27253b10eec43b07f21175e555e7d3716dcf71c88d9863167d89c08500e6c82d2e441839508919d0261f944a817dcb243f8f77169e28edd
- source_i686 = http://www.netlogger.org/downloads/NetLogger_3.0.3_Linux_x86.tgz
- md5sums_i686 = 010122004ea491a0e8790e925b7389ff
- sha512sums_i686 = a09c5f9ee3f4f672f85c2eda53179f0a26fbd12f088ed4fe5cb9cc2fe14900b1b16ffa0c90229243ab2d8438fb4f6bb4ecf24e605e0d0c4ff78ced919b02b7a5
- source_x86_64 = http://www.netlogger.org/downloads/NetLogger_3.0.3_Linux_x64.tgz
- md5sums_x86_64 = 6e7e17f59d7102d1b081ffe090187cba
- sha512sums_x86_64 = 9a11ec0d25ab159b5f282734c374d34a029538f20b18ac850ee0abeb3b83da5105c733fbb728161b222df4a32d7a07ce76f19950d826580e65d273a1e3015ee1
+ source_i686 = http://www.netlogger.org/downloads/NetLogger_3.1.5_Linux_x86.tgz
+ md5sums_i686 = 7cf83737c7cab1acb9da2ee21f3ea48d
+ sha512sums_i686 = 1cbffd63d4d8317c523253cc85ab57b5c509b3e65dc6e63d1480c19f0d96b5359489c315d039cc423e81391322eafe57bf03ef5701163c6cdadf14a15aadd029
+ source_x86_64 = http://www.netlogger.org/downloads/NetLogger_3.1.5_Linux_x64.tgz
+ md5sums_x86_64 = 618fa8a8a7f22700577288759db3a4fb
+ sha512sums_x86_64 = 553d68732cf92009c193237f49928dce234889db92bfc5c7c8c733786fd491fdbc894266029ac3b72dfb32ad9e66dbb180b3c49698e3669f284c6d55fcbc8e87
pkgname = netlogger
diff --git a/PKGBUILD b/PKGBUILD
index a555fbded22..6c9439fa420 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,3 +1,5 @@
+# shellcheck shell=bash
+# shellcheck disable=SC2034,SC2148,SC2154
# Notes on Netlogger:
# NetLogger is a shitty program.
# It is incredibly picky about what libraries it needs to run
@@ -10,14 +12,14 @@
# Maintainer: Zeke Sonxx <zeke@zekesonxx.com>
pkgname=netlogger
-pkgver=3.0.3
-pkgrel=2
+pkgver=3.1.5
+pkgrel=1
pkgdesc="Server-based amateur radio net logging programs"
arch=('i686' 'x86_64')
url="http://www.netlogger.org"
license=('custom:freeware')
groups=()
-depends=('qt5-base')
+depends=('qt5-base' 'gnutls' 'libpng12')
makedepends=()
checkdepends=()
optdepends=()
@@ -34,16 +36,16 @@ source_x86_64=("http://www.netlogger.org/downloads/NetLogger_${pkgver}_Linux_x64
noextract=()
md5sums=('309082574abaa3f97851ef4ac7096297'
'e5410b0ab8875791fffa0f7306d473ff')
-md5sums_i686=('010122004ea491a0e8790e925b7389ff')
-md5sums_x86_64=('6e7e17f59d7102d1b081ffe090187cba')
+md5sums_i686=('7cf83737c7cab1acb9da2ee21f3ea48d')
+md5sums_x86_64=('618fa8a8a7f22700577288759db3a4fb')
sha512sums=('e9dbe309baf520dc434a6b958fd6ae55f0c47c19a3ad00de158cb90b2fffec0e92ce83558e7ffec9613f30579929069ae543f8ad9da1d3d9110177dc86e48c5c'
'4cac720ec96ea2c6f27253b10eec43b07f21175e555e7d3716dcf71c88d9863167d89c08500e6c82d2e441839508919d0261f944a817dcb243f8f77169e28edd')
-sha512sums_i686=('a09c5f9ee3f4f672f85c2eda53179f0a26fbd12f088ed4fe5cb9cc2fe14900b1b16ffa0c90229243ab2d8438fb4f6bb4ecf24e605e0d0c4ff78ced919b02b7a5')
-sha512sums_x86_64=('9a11ec0d25ab159b5f282734c374d34a029538f20b18ac850ee0abeb3b83da5105c733fbb728161b222df4a32d7a07ce76f19950d826580e65d273a1e3015ee1')
+sha512sums_i686=('1cbffd63d4d8317c523253cc85ab57b5c509b3e65dc6e63d1480c19f0d96b5359489c315d039cc423e81391322eafe57bf03ef5701163c6cdadf14a15aadd029')
+sha512sums_x86_64=('553d68732cf92009c193237f49928dce234889db92bfc5c7c8c733786fd491fdbc894266029ac3b72dfb32ad9e66dbb180b3c49698e3669f284c6d55fcbc8e87')
validpgpkeys=()
prepare() {
- cd "$srcdir"
+ cd "$srcdir" || exit
# extract the tgz within the tgz to a directory called 'tarball' so we can work with it
mkdir -p "$srcdir/tarball"
bsdtar -x -f netlogger_${pkgver}.tgz -C tarball
@@ -53,12 +55,12 @@ prepare() {
install -m777 "$srcdir/tarball/License.rtf" "$srcdir/license.rtf"
# get rid of the extra files
- cd "$srcdir/tarball"
- rm -f ClubInfoList.txt GNU_LGPL_v2.1.rtf NetLogger24to30.pdf Release_Notes.html License.rtf
+ cd "$srcdir/tarball" || exit
+ rm -f GNU_LGPL_v2.1.rtf GNU_LGPL_v3.rtf GNU_GPL_v3.rtf NetLogger24to30.pdf Release_Notes.html License.rtf
}
package() {
- cd "$pkgdir"
+ cd "$pkgdir" || exit
mkdir -p "$pkgdir/opt/netlogger/"
cp -r "$srcdir/tarball/" -T "$pkgdir/opt/netlogger/"
install -D -m755 "${srcdir}/netlogger.sh" "${pkgdir}/usr/bin/netlogger"